# Makefile generated by configure
# Makefile for:  demo - typhoon test and demonstration program

DEFINES		= -I../include 
CC		= gcc
CFLAGS		= -g -Wall -pedantic -Wstrict-prototypes -Wmissing-prototypes -D_POSIX_SOURCE -D_BSD_SOURCE -D_SVID_SOURCE $(DEFINES)
LIBS		= -ltyphoon
PREFIX		=  ..
LDFLAGS		= -L../src
DESTBIN		= $(PREFIX)/examples/bin
DESTOWN		= root
DESTGRP		= local
SHELL		= /bin/sh
PROGRAM		= demo
SRCS		= demo.c
HDRS		= demo.h
OBJS		= demo.o

.DEFAULT:
		co $@

.PHONY:		all lint tags install uninstall clean distclean

all:		$(PROGRAM)

$(PROGRAM):	$(OBJS)
		$(CC) $(LDFLAGS) $(OBJS) $(LIBS) -o $(PROGRAM)

demo.h demo.dbd: demo.ddl
		../util/ddlp -a4 -f demo

lint:
		lint -u $(DEFINES) $(SRCS)

tags:		$(HDRS) $(SRCS)
		ctags -w $(HDRS) $(SRCS)

install:	$(PROGRAM)
		cp $(PROGRAM) $(DESTBIN)
		strip $(DESTBIN)/$(PROGRAM)
		chmod 755 $(DESTBIN)/$(PROGRAM)
	

uninstall:
		rm -f $(DESTBIN)/$(PROGRAM)

clean:
		-rm -rf $(PROGRAM) $(OBJS) demo.h demo.dbd data

distclean:	clean
		-rm -f Makefile tags core a.out

### Do NOT edit this or the following lines.
demo.o:		demo.h
